<?php
$objRecord = Demo::Load(QApplication::PathInfo(0));
$pageTitle = 'Journal '.$objRecord->Nama;
$arrBreadCrumbs = array();

$objUser = unserialize($_SESSION[__USER_LOGIN__]);

$minDate = $objRecord->CreateTime;
$maxDate = $objRecord->ModifyTime ? $objRecord->ModifyTime : $objRecord->CreateTime;

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
?>
<div class="col-xs-12">
	<div class="row animated fadeInRight">
		<div class="box">
			<div class="box-header with-border">
				<button type="button" href="<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>" target="content" class="btn btn-default" >List Demo</button>
				<div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
					<i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
					<span></span> <b class="caret"></b>
				</div>
			</div>
			<div class="box-body">
				<div id="tableAction" style="display: none">
				</div>
				<table id="pageTable" class="table table-bordered table-striped table-responsive" width="100%"></table>
			</div>
		</div>
	</div>
</div>
<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>

<script type="text/javascript">
	var table;
	$(document).ready(function(){
		var startRange = '<?= $minDate->PhpDate('d.m.Y') ?> - <?= $maxDate->PhpDate('d.m.Y') ?>';
		$('#rangeWaktu span').html(startRange);

		table = $('#pageTable').dataTable({
			'dom':'<"row"<"col-sm-6"l><"col-sm-6"f>r><"row"<"col-sm-6"i><"col-sm-6"p>>t<"row"<"col-sm-6"i><"col-sm-6"p>>',
			'searching' : false,
			'processing': true,
			'serverSide': true,
			'lengthMenu': [15],
			'ajax': {
				'url' :'control/<?= base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName) ?>/DemoControl/Journal',
				'type' : 'POST',
				'data': function(d){
					d.range = $('#rangeWaktu span').html();
					d.recId = '<?= $objRecord->Id ?>';
				}
			},
			'columns':[
				{
					'title':'Waktu'
					,'data':'waktu'
					,'width':'15%'
					,'searchable':false
					,'sortable':false
				}
				,{
					'title':'Jenis'
					,'data':'jenis'
					,'width':'15%'
					,'searchable':false
					,'sortable':false
					,'render': function ( data, type, full, meta ) {
						if(full.haveDetail){
							return full.jenis + '<div class="pull-right"><button href="#" param="'+full.DT_RowId+'" stamp="'+full.stamp+'" class="btn btn-xs rounded btn-default detailRecord"><i class="fa fa-plus-square-o"></button></div>';
						}
						return full.jenis;
					}
				}
				,{
					'title':'User'
					,'data':'namauser'
					,'width':'40%'
					,'searchable':false
					,'sortable':false
				}
				,{
					'title':'Ip Address'
					,'data':'ip'
					,'width':'10%'
					,'searchable':false
					,'sortable':false
				}
			]
		});
		$('#pageTable_length').html($('#tableAction').html());
		$('#pageTable_filter').html('');

		$('#rangeWaktu').daterangepicker({
			format: 'DD/MM/YYYY',
			dateLimit: { days: 60 },
			showDropdowns: true,
			showWeekNumbers: true,
			timePicker: false,
			timePickerIncrement: 1,
			timePicker12Hour: true,
			ranges: {
				'Semua':['<?= $minDate->PhpDate('m/d/Y')?>','<?= $maxDate->PhpDate('m/d/Y')?>'],
				'Hari ini': [moment(), moment()],
				'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
				'7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
				'30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
				'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
				'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
			},
			opens: 'left',
			drops: 'down',
			buttonClasses: ['btn', 'btn-sm'],
			applyClass: 'btn-primary',
			cancelClass: 'btn-default',
			separator: ' to ',
			locale: {
				applyLabel: 'Submit',
				cancelLabel: 'Cancel',
				fromLabel: 'From',
				toLabel: 'To',
				customRangeLabel: 'Custom',
				daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm','Sb'],
				monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
				firstDay: 1
			}
		}, function(start, end, label) {
			var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
			$('#rangeWaktu span').html(newRange);
			table.api().ajax.reload();
		});

		$(document).off('click','.detailRecord').on('click','.detailRecord',function(){
			var idRec = $(this).attr('param');
			var timestamp = $(this).attr('stamp');
			var expanded = $(this).hasClass('expanded');

			var thisRow = $(this).parents('tr');

			var idGroup = 'detailRec'+idRec;
			var changed = true;

			if(expanded)
			{
				//---- change icon
				$(this).html('<i class="fa fa-plus-square-o">');
				$(this).removeClass('expanded');

				if($('#'+idGroup).length) $('#'+idGroup).hide();
			}
			else
			{
				$('.detailActive').hide();
				$('.detailActive').removeClass('detailActive');
				$('.expanded').html('<i class="fa fa-plus-square-o">');
				$('.expanded').removeClass('expanded');

				if($('#'+idGroup).length) $('#'+idGroup).show();
				else {
					//===== create div
					var urlContent = 'control/'+btoa('default/page')+'/JournalControl/Detail';
					var getContent = $.get(urlContent,{pageId: sessionStorage.pageId,idJournal: idRec, stamp: timestamp});
					getContent.success(function(response){
						if(response.status == 'success'){
							$('<tr class="detailActive" id="'+idGroup+'"><td colspan="4">'+response.html+'</td></tr>').insertAfter(thisRow);
						}
						else
						{
							changed = false;
							toastr['warning']('Data detail tidak dapat diambil','Warning');
						}
					});
				}

				if(changed){
					$('#'+idGroup).removeClass('detailActive').addClass('detailActive');
					$(this).html('<i class="fa fa-minus-square-o">');
					$(this).addClass('expanded');
				}
			}
		})

	});

</script>