<?php

$objUser = unserialize( $_SESSION[__USER_LOGIN__] );

$strPatientNursingId = System::GetValue('patient_nursing_id',null);
$Retur = $objPatientNursingPaymentKediri->Retur;
$objHmisPatientNursing = HmisPatientNursing::LoadById($strPatientNursingId);
if(! $objHmisPatientNursing){
    echo "Data pasien tidak ditemukan \n";
    echo $strPatientNursingId;
    exit;
}

$arrMapBillingGroup = mapBillingGroup();
//////////////////////////////////////
function ambilDariDB($objDb, $strPatientNursingId, $arrMapBillingGroup){
    $dtPartition = System::getPartition($strPatientNursingId);
    $strPartition = $dtPartition->PhpDate('Y-m-d');

    $strSQLUtama = "
            SELECT
                id,
                patient_department_name,
                product_name,
                product_description,
                product_code,
                substring(billing_group,1,3) AS billing_group ,
                quantity,
                current_price,
                return_quantity,
                return_price,
                create_time
            FROM hmis_patient_nursing_adm_billing
            WHERE
                patient_nursing_on_partition = '".$strPartition."'
                AND state = 'A'
                AND patient_nursing_id = '".$strPatientNursingId."'
                --AND personal_payment_activity_id IS NULL
            ORDER BY billing_group ASC

    ";
    $objDbUtama = $objDb->Query($strSQLUtama);
    $listUtama = array();
    $totalUtama = $returUtama = 0;
    while ($rowU = $objDbUtama->FetchArray()) {
        if(array_key_exists($rowU['billing_group'], $arrMapBillingGroup)){
            $keyBG = $rowU['billing_group'];
            $keyUtama = $arrMapBillingGroup["$keyBG"];
        }else{
            $keyUtama = 'key_'.$rowU['billing_group'];
        }
        $listUtama[$keyUtama][] = [
                'product_name' => $rowU['product_name'],
                'product_code' => $rowU['product_code'],
                'product_description' => $rowU['product_description'],
                'create_time' => $rowU['create_time'],
                'quantity' => $rowU['quantity'],
                'current_price' => $rowU['current_price'],
                'patient_department_name' => $rowU['patient_department_name']
            ];
        $totalUtama += $rowU['quantity'] * $rowU['current_price'];
        $returUtama += $rowU['return_quantity'] * $rowU['return_price'];
    }

    return array($listUtama, $totalUtama, $returUtama);
}
///////////////////////////////

$objDb = QApplication::$Database[1];
list($listUtama, $totalUtama, $returUtama) = ambilDariDB($objDb, $strPatientNursingId, $arrMapBillingGroup);

if($objHmisPatientNursing->EmergencyId){
    list($listEmergency, $totalEmergency, $returEmergency) = ambilDariDB($objDb, $objHmisPatientNursing->EmergencyId, $arrMapBillingGroup);
}
if($objHmisPatientNursing->VisitingId){
    list($listVisiting, $totalVisiting, $returVisiting) = ambilDariDB($objDb, $objHmisPatientNursing->VisitingId, $arrMapBillingGroup);
}
//tagihan Bayi
if($objHmisPatientNursing->NewBaby1Id){
    list($listBayi1, $totalBayi1, $returBayi1) = ambilDariDB($objDb, $objHmisPatientNursing->NewBaby1Id, $arrMapBillingGroup);
}
if($objHmisPatientNursing->NewBaby2Id){
    list($listBayi2, $totalBayi2, $returBayi2) = ambilDariDB($objDb, $objHmisPatientNursing->NewBaby2Id, $arrMapBillingGroup);
}
if($objHmisPatientNursing->NewBaby3Id){
    list($listBayi3, $totalBayi3, $returBayi3) = ambilDariDB($objDb, $objHmisPatientNursing->NewBaby3Id, $arrMapBillingGroup);
}

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <style>
        @media print
            {
                .noprint {display:none;}
            }
        body{
            font-family: Verdana, Arial, Helvetica, sans-serif;
            font-size: 11px;
            border: 1px solid grey;
            box-sizing: border-box;
            padding: 5px;
        }
        .table{
            width: 100%;
            border: solid 1px;
            border-collapse: collapse;
        }
        .head-table{
            border-bottom: 1px solid black;
            background-color: #cccccc;
        }
        .align-r{
            text-align: right;
        }
        .align-c{
            text-align: center;
        }
        .align-l{
            text-align: left;
        }
        .row-border{
            border-bottom: 1px solid black;
            border-top: 1px solid black;
        }

        .row{
            display: flex;
            flex-wrap: wrap;
        }
        .col-1 {width: 8.33%;}
        .col-2 {width: 16.66%;}
        .col-3 {width: 25%;}
        .col-4 {width: 33.33%;}
        .col-5 {width: 41.66%;}
        .col-6 {width: 50%;}
        .col-7 {width: 58.33%;}
        .col-8 {width: 66.66%;}
        .col-9 {width: 75%;}
        .col-10 {width: 83.33%;}
        .col-11 {width: 91.66%;}
        .col-12 {width: 100%;}
    </style>
</head>
  <div class="noprint">
        <a href="#" onclick="window.close()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
        <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
        <a href="#" onclick="print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
        <!-- <button onclick="printE()">E-Print</button> -->
        <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
    </div>
<table width="100%" border-color="white">
  <tr>

    </tr>
  <tr>
	<td>
            <td>
<td width="100%" >

<div align="center" class="style13">
	    <div align="left"><span class="style4"><?= System::getPublicVariable('nama') ?></span><br/>
	      <div class="style5"><?= System::getPublicVariable('alamat') ?><br />
            <div class="style6">Telp/Fax: [0338] 678141, Mobile: [+62] 82333282112, Kab. Situbondo 68323</div>
    <td colspan="0" style="border-bottom:1px solid-white;">&nbsp;</td></tr>
      <tr><tr><table width="100%"<td class="rowo-border"; border-bottom="solid-black";></tr><table width="100%"<td class="rowo-border"; border-bottom="solid-black";></tr>

	    <td colspan="6" valign="top" style="border-bottom:0px solid"; "border-top:0px solid"><div align="right"><span class="style16">BUKTI PEMBAYARAN PASIEN</div></td>
        </div>
    </div>
    <div style="height: 20px"></div>

    <div class="row">
        <div class="col-6">
            <div class="row">
                <div class="col-3">No Rekam Medis</div>
                <div class="col-9">: <?= $objHmisPatientNursing->Mr ?></div>
            </div>
            <div class="row">
                <div class="col-3">Nama Pasien</div>
                <div class="col-9">: <?= $objHmisPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?></div>
            </div>
            <div class="row">
                <div class="col-3">Alamat</div>
                <div class="col-9">: <?= $objHmisPatientNursing->Address ? $objHmisPatientNursing->Address : $objHmisPatientNursing->DomicilyAddress ?></div>
            </div>
            <div class="row">
                <div class="col-3">Kategori Pembayaran</div>
                <div class="col-9">: <?= $objHmisPatientNursing->ContractServiceName ?></div>
            </div>
        </div>
        <div class="col-6">
            <div class="row">
                <div class="col-3">DPJP</div>
                <div class="col-9">: <?= $objHmisPatientNursing->DoctorName ?></div>
            </div>

            <div class="row">
                <div class="col-3">Ruangan</div>
                <div class="col-9">: <?= $objHmisPatientNursing->DepartmentName ?></div>
            </div>
            <div class="row">
                <div class="col-3">Tgl. Pendaftaran</div>
                <div class="col-9">: <?= $objHmisPatientNursing->NursingStartDate ? $objHmisPatientNursing->NursingStartDate->PhpDate('d-M-Y') : '' ?></div>
            </div>
            <div class="row">
                <div class="col-3">Tgl. Pulang</div>
                <div class="col-9">: <?= $objHmisPatientNursing->NursingEndDate ? $objHmisPatientNursing->NursingEndDate->PhpDate('d-M-Y') : '' ?></div>
            <div class="row">
                <div class="col-3"></div>
                <div class="col-9"></div>

            </div>
        </div>
    </div>
    <div style="height: 10px"></div></table>
        <table class="table">
            <thead>
                <tr class="head-table">
                    <th style="width: 3%">No</th>
                    <th colspan="2" class="align-l">Nama Pelayanan</th>
                    <th style="width: 10%">Tanggal</th>
                    <th style="width: 10%">Ruang</th>
                    <th style="width: 8%">Vol.</th>
                    <th style="width: 10%">Harga Satuan</th>
                    <th style="width: 10%">Total Per Item</th>
                    <th style="width: 19%">Total Per Grup</th>
                </tr>
            </thead>
            <tbody>
                <?php
                if($listUtama){
                    $no = 1;
                    foreach ($listUtama as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dUtama){
                            $total += $dUtama['quantity'] * $dUtama['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dUtama){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dUtama['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dUtama['create_time'])) ?></td>
                        <td><?= $dUtama['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dUtama['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dUtama['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dUtama['quantity'] * $dUtama['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dUtama['quantity'] * $dUtama['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

    <?php
                if($listEmergency){
                    foreach ($listEmergency as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dEmergency){
                            $total += $dEmergency['quantity'] * $dEmergency['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dEmergency){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dEmergency['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dEmergency['create_time'])) ?></td>
                        <td><?= $dEmergency['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dEmergency['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dEmergency['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dEmergency['quantity'] * $dEmergency['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dEmergency['quantity'] * $dEmergency['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

    <?php
                if($listVisiting){
                    foreach ($listVisiting as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dVisiting){
                            $total += $dVisiting['quantity'] * $dVisiting['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dVisiting){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dVisiting['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dVisiting['create_time'])) ?></td>
                        <td><?= $dVisiting['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dVisiting['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dVisiting['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dVisiting['quantity'] * $dVisiting['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dVisiting['quantity'] * $dVisiting['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

    <?php
                if($listBayi1){
                    foreach ($listBayi1 as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dBayi1){
                            $total += $dBayi1['quantity'] * $dBayi1['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dBayi1){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dBayi1['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dBayi1['create_time'])) ?></td>
                        <td><?= $dBayi1['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dBayi1['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dBayi1['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dBayi1['quantity'] * $dBayi1['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dBayi1['quantity'] * $dBayi1['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

    <?php
                if($listBayi2){
                    foreach ($listBayi2 as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dBayi2){
                            $total += $dBayi2['quantity'] * $dBayi2['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dBayi2){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dBayi2['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dBayi2['create_time'])) ?></td>
                        <td><?= $dBayi2['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dBayi2['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dBayi2['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dBayi2['quantity'] * $dBayi2['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dBayi2['quantity'] * $dBayi2['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

    <?php
                if($listBayi3){
                    foreach ($listBayi3 as $k => $data) {
                ?>
                    <tr class="row-border">
                        <td><?= $no++ ?></td>
                        <td colspan="7"><b><?= $k ?></b></td>
                        <?php
                        $total = 0;
                        foreach($data as $dBayi3){
                            $total += $dBayi3['quantity'] * $dBayi3['current_price'];
                        }?>
                        <td style="text-align:right"><b><?= number_format($total) ?></b></td>
                    </tr>
                    <?php
                    $total = 0;
                    foreach($data as $dBayi3){ ?>
                    <tr>
                        <td></td>
                        <td colspan="2"><?= $dBayi3['product_name'] ?></td>
                        <td><?= date('d-m-Y', strtotime($dBayi3['create_time'])) ?></td>
                        <td><?= $dBayi3['patient_department_name'] ?></td>
                        <td class="align-c"><?= $dBayi3['quantity'] ?></td>
                        <td class="align-r"><?= number_format($dBayi3['current_price']) ?></td>
                        <td class="align-r"><?= number_format($dBayi3['quantity'] * $dBayi3['current_price']) ?></td>
                        <td class="align-r"></td>
                    </tr>
                <?php
                    $total += $dBayi3['quantity'] * $dBayi3['current_price'];
                        }
                ?>
                    <tr>
                        <td></td>
                        <td class="align-r" colspan="7"><b>Total</b></td>
                        <td class="align-r"><?= number_format($total) ?></td>
                    </tr>
                <?php
                    }
                }
                ?>

                    <tr class="row-border">
                        <td></td>
                        <td class="align-r" colspan="7"><b>TOTAL</b></td>
                        <td class="align-r"><?= number_format($totalUtama + $totalVisiting + $totalEmergency + $totalBayi1 + $totalBayi2 + $totalBayi3) ?></td>
                    </tr>
                    <tr class="row-border">
                        <td></td>
                        <td class="align-r" colspan="7"><b>RETUR</b></td>
                        <td class="align-r"><?= number_format($returUtama + $returVisiting + $returEmergency + $returBayi1 + $returBayi2 + $returBayi3) ?></td>
                    </tr>
                    <tr class="row-border">
                        <td></td>
                        <td class="align-r" colspan="7"><b>TOTAL AKHIR</b></td>
                        <td class="align-r"><?= number_format(($totalUtama + $totalVisiting + $totalEmergency + $totalBayi1 + $totalBayi2 + $totalBayi3) - ($returUtama + $returVisiting + $returEmergency + $returBayi1 + $returBayi2 + $returBayi3)) ?></td>
                    </tr>
            </tbody>
        </table>
        <div style="height: 10px"></div>
        <div class="row">
            <div class="col-8">
                Catatan:
            </div>
            <div class="col-4 align-c">
                Situbondo, <br> 
                Petugas Kasir
                <br><br><br><br>
                ( <?= $objUser->FullName; ?> )
                <br>
            </div>
        </div>
        <div style="height: 20px"></div>
    </div>
</body>
</html>
